Package Gnumed :: Package business :: Module gmMedication :: Class cIfapInterface |
[frames] | no frames]

# Class cIfapInterface

source code

                  object --+
                           |
    cDrugDataSourceInterface --+
                               |
                              cIfapInterface

empirical CSV interface

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
print_transfer_file(self, filename=None) | source code
Inherited from `cDrugDataSourceInterface`: `check_interactions`, `create_data_source_entry`, `get_data_source_version`, `import_drugs`, `prescribe`, `show_info_on_drug`, `show_info_on_substance`, `switch_to_frontend` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)